buildroot/package/ser2net/S50ser2net
James Hilliard 55514e8c63 package/ser2net: S50ser2net: alsoc heck for new config file format
When running ser2net it looks for config files in the legacy conf
format and the new yaml format so we need to allow either in the
sysv init script.

Signed-off-by: James Hilliard <james.hilliard1@gmail.com>
Signed-off-by: Peter Korsgaard <peter@korsgaard.com>
2020-03-08 15:02:52 +01:00

44 lines
690 B
Bash

#!/bin/sh
#
# Startup script for ser2net
#
start() {
printf "Starting ser2net: "
if [ ! -f /etc/ser2net.conf ] && [ ! -f /etc/ser2net/ser2net.yaml ] ; then
echo "no configuration file"
exit 1
fi
start-stop-daemon -S -q --exec /usr/sbin/ser2net -- -P /var/run/ser2net.pid
[ $? = 0 ] && echo "OK" || echo "FAIL"
}
stop() {
printf "Shutting down ser2net: "
start-stop-daemon -K -q -p /var/run/ser2net.pid
[ $? = 0 ] && echo "OK" || echo "FAIL"
}
restart() {
stop
start
}
case "$1" in
start)
start
;;
stop)
stop
;;
restart)
restart
;;
*)
echo "Usage: ser2net {start|stop|restart}"
exit 1
esac
exit $?